<?php

function hextorgb($hex, $alpha = false) {
    $hex = str_replace('#', '', $hex);
    if (strlen($hex) == 6) {
        $rgb['r'] = hexdec(substr($hex, 0, 2));
        $rgb['g'] = hexdec(substr($hex, 2, 2));
        $rgb['b'] = hexdec(substr($hex, 4, 2));
    } else if (strlen($hex) == 3) {
        $rgb['r'] = hexdec(str_repeat(substr($hex, 0, 1), 2));
        $rgb['g'] = hexdec(str_repeat(substr($hex, 1, 1), 2));
        $rgb['b'] = hexdec(str_repeat(substr($hex, 2, 1), 2));
    } else {
        $rgb['r'] = '0';
        $rgb['g'] = '0';
        $rgb['b'] = '0';
    }
    if ($alpha) {
        $rgb['a'] = $alpha;
    }
    return implode('', array_keys($rgb)) . '(' . implode(', ', $rgb) . ')';
}

$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$scopeConfig = $objectManager->create('Magento\Framework\App\Config\ScopeConfigInterface');
$configEnabled = 'bareq/theme_colors/colors_enabled';
$configLogoRight = "bareq/logo/logo_right";
$enabled = $scopeConfig->getValue(
        $configEnabled, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
);
$logoRight = $scopeConfig->getValue(
        $configLogoRight, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
);

$configPattern = 'bareq/logo/header_pattern';
$configPatternValue = $scopeConfig->getValue($configPattern, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
if ($configPatternValue):
    $urlInterface = $objectManager->create('Magento\Store\Model\StoreManagerInterface');
    $media_url = $urlInterface->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
    $patternURL = $media_url . 'logo/' . $configPatternValue;
    ?>
    <style>
        .header-bg{
            background-image: url(<?php echo $patternURL; ?>);
        }
    </style>
<?php endif; ?>

<?php if ($enabled): ?>
    <?php
    $configMainColor = 'bareq/theme_colors/main_color';
    $mainColor = $scopeConfig->getValue(
            $configMainColor, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );
    $configSecColor = 'bareq/theme_colors/sec_color';
    $secColor = $scopeConfig->getValue(
            $configSecColor, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );

    $configBodyBackground = 'bareq/theme_colors/body_background_color';
    $bodyBackground = $scopeConfig->getValue(
            $configBodyBackground, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );
    $configHover = 'bareq/theme_colors/hover_color';
    $hover = $scopeConfig->getValue(
            $configHover, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );
    echo 'we here';
    ?>
    <style>

        /*color*/
        /*body,*/
        .text-primary,
        .btn-primary .badge,
        .panel-primary > .panel-heading .badge,
        .price-container .price,
        .product-price .current-price,
        .current-price .price-container .price,
        .old-price .price-container .price,
        .prices-tier .price-tier_price .price ,
        .prices-tier .benefit .percent,
        .minimal-price-link .price-label,
        .update-cart-item:hover,
        .update-cart-item:focus,
        .update-cart-item:active, 
        .update-cart-item.active,
        .current-price .price-container .price,
        .old-price .price-container .price,
        .prices-tier .price-tier_price .price ,
        .prices-tier .benefit .percent,
        .account .block-title,
        .account .box-title,
        .account .legend,
        .account .block.account-nav .title strong,
        .my-icon.phone,
        .my-icon.mail,
        .my-icon.user,
        .my-icon.chat,
        .slide-menu-title,
        .fieldset .review-field-ratings > .label,
        .my-icon.big-message,
        .sidr-close,
        .block-compare .block-title strong, .block-reorder .block-title strong, .block-wishlist .block-title strong, .widget .block-title strong,
        .mini-cart .minicart-items .price-container
        {
            color :  #<?php echo ($mainColor ? $mainColor : '47ba42');
    ?> !important;
        }
        /*background color*/
        .bg-primary,
        .c-input > input:active ~ .c-indicator,
        .btn-primary,
        .btn-primary.disabled,
        .btn-primary[disabled],
        fieldset[disabled] .btn-primary,
        .btn-primary.disabled:hover,
        .btn-primary[disabled]:hover,
        fieldset[disabled] .btn-primary:hover,
        .btn-primary.disabled:focus,
        .btn-primary[disabled]:focus,
        fieldset[disabled] .btn-primary:focus,
        .btn-primary.disabled.focus,
        .btn-primary[disabled].focus,
        fieldset[disabled] .btn-primary.focus,
        .btn-primary.disabled:active,
        .btn-primary[disabled]:active,
        fieldset[disabled] .btn-primary:active,
        .btn-primary.disabled.active,
        .btn-primary[disabled].active,
        fieldset[disabled] .btn-primary.active,
        .dropdown-menu > .active > a,
        .dropdown-menu > .active > a:hover,
        .dropdown-menu > .active > a:focus ,
        .nav-pills > li.active > a,
        .nav-pills > li.active > a:hover,
        .nav-pills > li.active > a:focus ,
        .pagination > .active > a,
        .pagination > .active > span,
        .pagination > .active > a:hover,
        .pagination > .active > span:hover,
        .pagination > .active > a:focus,
        .pagination > .active > span:focus,
        .list-group-item.active,
        .list-group-item.active:hover,
        .list-group-item.active:focus,
        .panel-primary,
        .panel-primary > .panel-heading ,
        .carousel-indicators .active,
        .nx-mega-fw.dropdown:hover  > a,
        .update-cart-item:hover,
        .update-cart-item:focus,
        .update-cart-item:active, 
        .update-cart-item.active,
        .account.wishlist-index-index .action.update:hover , 
        .account.wishlist-index-index .action.share:hover , 
        .account.wishlist-index-index .action.tocart:hover ,
        .update-cart-item:hover,
        .update-cart-item:focus,
        .update-cart-item:active, 
        .update-cart-item.active,
        .product.product-list-item .product-hover,
        .btn-default:hover, .btn-default:focus, .btn-default:active, .btn-default.active,
        .social .social-item:hover, .apps .app-item:hover,
        .dropdown-menu > li > a:hover,
        .dropdown-menu > li > a:focus,
        .dropdown-menu > .active > a,
        .dropdown-menu > .active > a:hover,
        .dropdown-menu > .active > a:focus,
        .nx-mega-fw.dropdown:hover  > a, 
        .account.wishlist-index-index .action.update:hover , 
        .account.wishlist-index-index .action.share:hover , 
        .account.wishlist-index-index .action.tocart:hover ,
        .mini-cart .counter .counter-number,
        .action.action-login, .action.primary, .action.action-apply,
        .product-page-add-to-cart .input-group .btn.btn-product-add-to-cart


        {
            background-color:  #<?php echo ($mainColor ? $mainColor : '47ba42');
    ?> !important
        }
        /*border-color*/
        .pagination > .active > a,
        .pagination > .active > span,
        .pagination > .active > a:hover,
        .pagination > .active > span:hover,
        .pagination > .active > a:focus,
        .pagination > .active > span:focus,
        .list-group-item.active,
        .list-group-item.active:hover,
        .list-group-item.active:focus,
        .panel-primary,
        .panel-primary > .panel-heading,
        .btn-default:hover,
        .btn-default:focus,
        .btn-default:active,
        .btn-default.active,
        .product-page-add-to-cart .input-group .form-control,
        .social.product-page-social .social-item:hover,
        .account.wishlist-index-index .action.update:hover , 
        .account.wishlist-index-index .action.share:hover , 
        .account.wishlist-index-index .action.tocart:hover ,
        .input-text:focus,
        textarea:focus,
        .form-control:focus,
        .update-cart-item:hover,
        .update-cart-item:focus,
        .update-cart-item:active, 
        .update-cart-item.active,
        .social.product-page-social .social-item:hover ,
        .account.wishlist-index-index .action.update:hover , 
        .account.wishlist-index-index .action.share:hover , 
        .fotorama__thumb-border,
        .account.wishlist-index-index .action.tocart:hover 
        {
            border-color:  #<?php echo ($mainColor ? $mainColor : '47ba42');
    ?> !important
        }
        @media screen and (min-width: 768px){
            .customer-welcome li:hover *, .customer-welcome li:hover a, .customer-welcome li:hover .counter.qty
            {
                background-color: #<?php echo ($mainColor ? $mainColor : '47ba42'); ?>
            }
        }
        .product.product-list-item:hover{
            <?php $mainSad = (($mainColor) ? $mainColor : '47ba42'); ?> 
            box-shadow: 0 0 10px <?php echo hextorgb($mainSad, 0.25); ?> !important;
            -webkit-box-shadow: 0 0 10px <?php echo hextorgb($mainSad, 0.25); ?> !important;

        }
        .product.product-list-item .product-hover{
            <?php $mainSad = (($mainColor) ? $mainColor : '47ba42'); ?> 
            background:<?php echo hextorgb($mainSad, 0.9); ?> !important;
            -webkit-box-shadow: 0px 0px 10px 0px <?php echo hextorgb($mainSad, 0.75); ?>;
            box-shadow: 0px 0px 10px 0px <?php echo hextorgb($mainSad, 0.75); ?>;

        }
        /*-webkit-box-shadow*/
        .c-input > input:focus ~ .c-indicator{
            -webkit-box-shadow: 0 0 0 2px #<?php echo ($mainColor ? $mainColor : '47ba42');
            ?> !important
                box-shadow: 0 0 0 2px #<?php echo ($mainColor ? $mainColor : '47ba42');
            ?> !important
        }
        .ui-dialog{
            box-shadow: 0px 0px 12px 2px #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> !important
        }
        .product  {
            box-shadow: inset 5px 11px 19px 3px <?php echo hextorgb($mainColor, 0.5); ?> !important
                -webkit-box-shadow: inset 5px 11px 19px 3px <?php echo hextorgb($mainColor, 0.5); ?> !important
        }

        /*border-top-color*/
        .panel-primary > .panel-heading + .panel-collapse > .panel-body,
        .nx-mega .nx-mega-relative ,
        .minicart-items-wrapper
        {
            border-top-color :  #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> !important
        }
        /*border bottom color*/ 
        .minicart-items-wrapper
        {
            border-bottom-color: #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> !important
        }
        /*border right color*/ 
        .account .block.account-nav .nav.item:hover,
        .account .block.account-nav .nav.item.current{
            border-right-color: #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> !important
        }
        .input-text:focus, textarea:focus,
        {
            border-color:  #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> !important;
            box-shadow : 0 1px 1px #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> inset, 0 0 8px #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> !important;
        }


        .input-text, textarea{
            box-shadow: 0 1px 1px #<?php echo ($mainColor ? $mainColor : '47ba42'); ?> inset;
        }

        /*box shadow color*/ 



        /*background-color: #f1f4f4;*/
        body,
        .img-thumbnail,
        .table .table,
        .data-table .data-table ,
        .dropdown-menu,
        .nav-tabs > li.active > a,
        .nav-tabs > li.active > a:hover,
        .nav-tabs > li.active > a:focus,
        .side-menu-row,
        .side-menu-row-collapse-open
        {
            background-color: #<?php echo (($bodyBackground) ? $bodyBackground : 'f1f4f4'); ?> !important
        }
        /*secondery*/ 
        /*color*/
        .my-icon.menu,
        .my-icon.shopping-cart,
        .my-icon.search,
        .my-icon.eye,
        .my-icon.heart,
        .my-icon.compare,
        .my-icon.show-list,
        .my-icon.show-grid,
        .my-icon.shopping-cart-plus,
        .my-icon.car,
        .my-icon.user-dark,
        .my-icon.spinner-down,
        .my-icon.spinner-up ,
        .my-icon.arrow ,
        .mini-cart .minicart-items .product.actions .action.delete::before,
        .block-compare .block-title, .block-reorder .block-title, .block-wishlist .block-title, .widget .block-title,
        .minicart-items .action.edit::before, .minicart-items .action.delete::before

        {
            color : #<?php echo (($secColor) ? $secColor : '3A4D58'); ?> 
        }
        .product.product-list-item .product-hover .product-hover-wrap .add-to-cart:hover, .product.product-list-item .product-hover .product-hover-wrap .goto-product:hover, .product.product-list-item .product-hover .product-hover-wrap .add-to-wish-list:hover, .product.product-list-item .product-hover .product-hover-wrap .see-compare:hover,.nx-mega .nx-mega-relative
        {
            background-color : #<?php echo (($secColor) ? $secColor : '3A4D58'); ?> !important
        }
        .product.product-list-item .product-hover .product-hover-wrap .add-to-cart:hover, .product.product-list-item .product-hover .product-hover-wrap .goto-product:hover, .product.product-list-item .product-hover .product-hover-wrap .add-to-wish-list:hover, .product.product-list-item .product-hover .product-hover-wrap .see-compare:hover
        {
            border-color : #<?php echo (($secColor) ? $secColor : '3A4D58'); ?> !important
        }
        .product-list-item .product-hover .product-hover-wrap .add-to-cart:hover, .product.product-list-item .product-hover .product-hover-wrap .goto-product:hover, .product.product-list-item .product-hover .product-hover-wrap .add-to-wish-list:hover, .product.product-list-item .product-hover .product-hover-wrap .see-compare:hover 
        {
            <?php $sgadow = (($secColor) ? $secColor : '3A4D58'); ?> 
            box-shadow: inset 5px 11px 19px 3px <?php echo hextorgb($sgadow, 0.5); ?> !important;
            -webkit-box-shadow: inset 5px 11px 19px 3px <?php echo hextorgb($sgadow, 0.5); ?> !important;
        }
        /*hover start*/
        /*color*/
        a:hover,
        a:focus,
        .btn-link:hover,
        .btn-link:focus,
        .pagination > li > a:hover,
        .pagination > li > span:hover,
        .pagination > li > a:focus,
        .pagination > li > span:focus,
        .block-wishlist .tocart,
        .block-wishlist .product-item-actions .actions-primary,
        .product.product-list-item .product-hover .product-hover-wrap .add-to-cart:hover, .product.product-list-item .product-hover .product-hover-wrap .goto-product:hover, .product.product-list-item .product-hover .product-hover-wrap .add-to-wish-list:hover, .product.product-list-item .product-hover .product-hover-wrap .see-compare:hover

        {
            color: #<?php echo (($hover) ? $hover : '31822e'); ?> !important
        }
        @media screen and (min-width: 768px){
            .customer-welcome li:hover *, .customer-welcome li:hover a, .customer-welcome li:hover .counter.qty {
                color: #<?php echo (($hover) ? $hover : '31822e'); ?> !important
            }
        }
        .action.primary:hover, .action.primary:focus, .action.primary.focus, .action.primary:active, .action.primary.active, .open > .dropdown-toggle.primary, .action.action-apply:hover, .action.action-apply:focus, .action.primary.focus, .action.action-apply:active, .action.action-apply.active, .open > .dropdown-toggle.primary, .action.primary:hover, .action.primary:focus, .action.action-apply:hover, .action.action-apply:focus
        {
            border-color: #<?php echo (($hover) ? $hover : '31822e'); ?> !important  
        }
        /*background color*/ 

        .action.primary:hover, .action.primary:focus, .action.primary.focus, .action.primary:active, .action.primary.active, .open > .dropdown-toggle.primary, .action.action-apply:hover, .action.action-apply:focus, .action.primary.focus, .action.action-apply:active, .action.action-apply.active, .open > .dropdown-toggle.primary, .action.primary:hover, .action.primary:focus, .action.action-apply:hover, .action.action-apply:focus,
        #checkout_multishipping_form .action.add:hover, #checkout_multishipping_form .action.add:focus, .action.action-select-shipping-item:hover, .action.action-select-shipping-item:focus, .action.action-show-popup:hover, .action.action-show-popup:focus, .action.update:hover, .action.update:focus, .action.update:active, .action.update.active, .update-cart-item:hover, .update-cart-item:focus, .update-cart-item:active,
        .update-cart-item.active,
        .gift-options-cart-item .action.action-update:hover
        {
            background-color: #<?php echo (($hover) ? $hover : '31822e'); ?> !important;
        }
  
    </style>
<?php endif; ?>
          <?php if ($logoRight): ?>
            <style>
            @media (min-width:767px) {
                header.nx-header > .container > .row{
                    position: relative;
                }
                .logo-wrap > h1{
                    text-align: right;
                }
                .nx-nav.right{
                    float: left !important;
                }
                .mini-cart[data-block="minicart"]{
                    position: absolute;
                    left: 0;
                    top: 33%;

                }
            }
                </style>
        <?php endif; ?>

<?php
/**
 * Copyright © 2016 Neoxero. All rights reserved.
 * See COPYING.txt for license details.
 */
// @codingStandardsIgnoreFile

/**
 * @var \Magento\Theme\Block\Html\Header $block
 */
$welcomeMessage = $block->getWelcome();
?>
<?php switch ($block->getShowPart()):
    case 'welcome':
        ?>
<!--                <li class="greet welcome" data-bind="scope: 'customer'">
                    <span data-bind="text: customer().fullname ? $t('Welcome, %1!').replace('%1', customer().fullname) : '<?= $block->escapeHtml($welcomeMessage) ?>'"></span>
                </li>
                <script type="text/x-magento-init">
                {
                    "*": {
                        "Magento_Ui/js/core/app": {
                            "components": {
                                "customer": {
                                    "component": "Magento_Customer/js/view/customer"
                                }
                            }
                        }
                    }
                }
                </script>-->
        <?php break; ?>

    <?php case 'other': ?>
        <?php // echo $block->getChildHtml(); ?>
        <?php break; ?>

<?php endswitch; ?>
